Search documentation of wx

# View Source wxCalendarEvent (wx v2.4.3.1)

The `wxCalendarEvent` class is used together with `wxCalendarCtrl`.

See: `wxCalendarCtrl`

This class is derived, and can use functions, from:

- `wxDateEvent`

- `wxCommandEvent`

- `wxEvent`

wxWidgets docs: wxCalendarEvent

# Summary

## Types

wxCalendar()
wxCalendarEvent()
wxCalendarEventType()

## Functions

getDate(This)

Returns the date.

getWeekDay(This)

Returns the week day on which the user clicked in `EVT\_CALENDAR\_WEEKDAY\_CLICKED` handler.

# Types

# wxCalendar()

    -type wxCalendar() ::
              #wxCalendar{type :: wxCalendarEvent:wxCalendarEventType(),
                          wday :: wx:wx_enum(),
                          date :: wx:wx_datetime()}.

# wxCalendarEvent()

    -type wxCalendarEvent() :: wx:wx_object().

# wxCalendarEventType()

    -type wxCalendarEventType() ::
              calendar_sel_changed | calendar_day_changed | calendar_month_changed | calendar_year_changed |
              calendar_doubleclicked | calendar_weekday_clicked.

# Functions

# getDate(This)

    -spec getDate(This) -> wx:wx_datetime() when This :: wxCalendarEvent().

Returns the date.

# getWeekDay(This)

    -spec getWeekDay(This) -> wx:wx_enum() when This :: wxCalendarEvent().

Returns the week day on which the user clicked in `EVT\_CALENDAR\_WEEKDAY\_CLICKED` handler.

It doesn't make sense to call this function in other handlers.